Documentation Index
Fetch the complete documentation index at: https://docs.buntinglabs.com/llms.txt
Use this file to discover all available pages before exploring further.
This API generates a description of a neighborhood surrounding a location. It includes
points of interest potential residents might want to know, including:
- Nearby restaurants and cafes
- Schools in walking distance
- Grocery stores and supermarkets
This is especially useful for describing a rental or home listing on a website or contextualizing
a potential investment opportunity for prospective investors. By providing an easy-to-read description,
websites can enhance the viewer experience without copy-paste formatting.
Sample Output
The following was generated for an apartment near 1581 Webster St #235, San Francisco, CA 94115.
Welcome to Japantown, a vibrant and diverse neighborhood in San Francisco!
The area is known for its many nearby Asian restaurants, and the convenience of having
a Safeway right around the corner for all your grocery needs. The neighborhood is
highly educated, with 29% of residents holding masters degrees. The area is very
walkable and densely populated with 3-story buildings. The average home in the
area sells for $1.2M.
The nearby public schools are rated as 5/10, it may not be the best option
for families with school-aged children. But for those that work in the Financial
District, the SFMTA 24 and 38 buses provide good transit options into the city.
This is a great neighborhood for those looking to be in the heart of the city, with
easy access to all that San Francisco has to offer.
Request Parameters
The full address of the target location. Points of interest (POIs) in a circle around this location
will be extracted and summarized as part of the description.
This endpoint requires that the Content-Type header be set to application/json.
Response
When features are successfully counted, a 200 OK response will be
issued, with Content-Type: application/json.
The description of the surrounding neighborhood.
After the input address is geocoded to the right location, this contains
an array (in longitude, latitude order) of the location position.
Sample attribution text the end application could display.Attribution in your application is required by OpenStreetMap’s ODbL license.
Because the description is generated using OpenStreetMap data, proper attribution
is required for use in your application.See:
Link to the OpenStreetMap copyright page.
In the event of an error, an error response will be issued, usually with a 5xx error code.
The error will be JSON-formatted, with an error field describing the cause.
The error message if the extract request parameters were incorrectly formatted.This response field will not be present if the extract succeeds.
curl 'https://osm.buntinglabs.com/v1/poi/neighborhood' \
--header "Content-Type: application/json" \
--data '{
"api_key": "YOUR_API_KEY_HERE",
"address": "800 N Alameda St, Los Angeles, CA 90012"
}'
{
"coordinates": [
-122.4384732,
37.7794274
],
"description": "The area is known for its many nearby Asian restaurants, and the convenience of having a Safeway right around the corner for all your grocery needs.",
"attribution_text": "Map data from OpenStreetMap",
"attribution_link": "https://www.openstreetmap.org/copyright"
}